
Redmine - Feature #31881

Add "behind-schedule" CSS class to issues

2019-08-12 14:53 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

"behind-schedule" class, which is already available in gantt, indicates that the issue is behind the schedule. This means that the done

ratio is lower than expected.

In gantt, "behind-schedule" issues are shown in orange color. I think also issues list and issue detail page should have

"behind-schedule" class in order to be able to implement the same coloring as gantt.

It is beneficial for project management to warn before the deadline is over.

Related issues:

Related to Redmine - Feature #7455: Search for issues that are behind schedule New 2011-01-26

Associated revisions

Revision 19868 - 2020-07-09 02:45 - Go MAEDA

Add "behind-schedule" CSS class to issues (#31881).

Patch by Go MAEDA.

Revision 19869 - 2020-07-09 05:22 - Go MAEDA

Fix broken test due to r19868 (#31881).

History

#1 - 2019-08-19 16:42 - Go MAEDA

- File 31881.patch added

Here is a patch.

#2 - 2019-08-28 17:19 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2020-07-05 02:47 - Go MAEDA

- Related to Feature #7455: Search for issues that are behind schedule added

#4 - 2020-07-05 06:27 - Go MAEDA

- File 31881-v2.patch added

Updated the patch.

Changing the appearance is controversial, so I would like to just add a CSS class. UI changes should be discussed in a new issue.

#5 - 2020-07-06 06:35 - Bernhard Rohloff

+1 It's a nice improvement and makes the modules more consistent.

Also a good indicator if an issue needs a bit of attention.

#6 - 2020-07-06 15:32 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0
Bernhard Rohloff wrote:

+1 It's a nice improvement and makes the modules more consistent.

 Thank you for checking the patch. Setting the target version to 4.2.0.

Also a good indicator if an issue needs a bit of attention.

 I will open a new issue to discuss UI that indicates the issue is behind schedule.

#7 - 2020-07-09 02:45 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

#8 - 2020-07-09 04:45 - Toshi MARUYAMA

- Status changed from Closed to Reopened

Tests fails.

Failure:

Redmine::WikiFormatting::MacrosTest#test_issue_macro_should_render_link_to_issue [/REDMINE/WORK-DIR-NO-RAID/hg

-workdir/my-work/test/unit/lib/redmine/wiki_formatting/macros_test.rb:414]:

--- expected

+++ actual

@@ -1 +1 @@

-"<p><a class=\"issue tracker-1 status-1 priority-4 priority-lowest\" href=\"/issues/1\">Bug #1</a>: Cannot pr

int recipes</p>" 

+"<p><a class=\"issue tracker-1 status-1 priority-4 priority-lowest behind-schedule\" href=\"/issues/1\">Bug #

1</a>: Cannot print recipes</p>" 

bin/rails test test/unit/lib/redmine/wiki_formatting/macros_test.rb:412

#9 - 2020-07-09 05:47 - Go MAEDA

- Status changed from Reopened to Closed

Tests fails.

 Fixed in r19869.

Files

31881.patch 2.29 KB 2019-08-19 Go MAEDA

31881-v2.patch 1.09 KB 2020-07-05 Go MAEDA
